eAuthentication

/document/auth/online

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request authentication/confirmation from an Evrotrust user. This endpoint allows you to send an authentication request that the user must confirm in their Evrotrust mobile app or within mobile SDK screen.

We generate an XML, which can either require a signature or just confirmation based on the isRequiredSigning value.

ParameterValue
"description":max chars 4000
"dateExpire":unix epoch time in seconds. This sets for how long the request will be pending for confirmation by the user
"algorithm": "SHA256"
"user":Has to be provided one of the user identifier:
  • "identificationNumber" and "country" for manual confirmation;

  • "email" for manual confirmation;

  • "phone" for manual confirmation;

  • "automatedSignCertID" for automated confirmation;

  • "automatedSignSealID" for automated confirmation.

    "identificationNumber": Personal identification number.
    "country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.

    "automatedSignCertID": Should match the following pattern "[a-zA-Z0-9-]36"
    "automatedSignSealID": Should match the following pattern "[a-zA-Z0-9-]36"

"BIOrequired":0/1 Optional parameter. Default value 0. If set to 1, user will confirm the request with our face recognition (not device based one)
"isRequiredSigning":"boolean" Optional boolean parameter with default value true. Set to false in case you don't have compliance requirement to get signed XML by the user for the login confirmation.
"urlCallback":Optional parameter. Only https:// is allowed. It has to be sent a host name if Evrotrust callback API is used
"vendorNumber":string
"publicKey":base64 encoded string of public key, necessary for encryption process. See page "Generate key pair" for details

Returned values:

  • "threadID" - unique ID refers to the signing operation.
  • "transactionID" - unique ID refers to a single document of the signing operation.
Body Params
string
required

{
"vendorNumber": "",
"document": {
"description": "",
"dateExpire":
},
"signInfo": {
"algorithm": "SHA256"
},
"user": {
"identificationNumber": "",
"country": "",
//"phone":"+123456789000",
//"email": "[email protected]"
//"automatedSignCertID":"",
//"automatedSignSealID":""
},
"publicKey": "LS0tLS1CRUdJTiBQVUJMSUMgS0VZLS0tLS0...",
"isRequiredSigning": false
}

Headers
string
required

See the Authorization guide for details.

Responses

400

Invalid data supplied

401

Unauthorized

438

User not found

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json